using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using RFramework;

namespace RFrameGenerate.Model
{
    public partial class T_ST_CrowdPeriodsWinningView: EntityBase<T_ST_CrowdPeriodsWinningView>, ICloneable
    { 
        public Guid CrowdWinningGuid{ get;set; }   
        public Guid? MemberGuid{ get;set; }   
        public int? WinBuyTime{ get;set; }   
        public string AllLuckyNum{ get;set; }
        public int? CrowdPeriods{ get;set; }   
        public Guid? CrowdParticipateGuid{ get;set; }   
        public DateTime? DeliveryTime{ get;set; }   
        public Guid? LogisticrGuid{ get;set; }   
        public Guid? RecieverAddressGuid{ get;set; }   
        public string LuckyNum{ get;set; }
        public Guid ProductCrowdPeriodGuid{ get;set; }   
        public Guid? ProductCrowdGuid{ get;set; }   
        public int? TotalTime{ get;set; }   
        public int? RemainTime{ get;set; }   
        public int? BuyTime{ get;set; }   
        public DateTime? JoinDate{ get;set; }   
        public DateTime? OpenDate{ get;set; }   
        public string Formula{ get;set; }
        public Guid? SMerchantGuid{ get;set; }   
        public string MemberNickName{ get;set; }
        public string MemberImg{ get;set; }
      
        public override string ToString()
        {
            StringBuilder sb = this.EntityToGetKeyValue();
            if (sb == null)
                return base.ToString();
            else
            {
                return sb.ToString();
            }
        }
        
        #region 创建副本
        /// <summary>
        /// 创建当前 System.Object 的浅表副本
        /// </summary>
        /// <returns>返回当前实例的浅表副本,(如果当前实例中有引用对象,引用对象的地址还是指向原来的地址)</returns>
        public object Clone()
        {
            return this.MemberwiseClone();
        }
        
        /// <summary>
        /// 创建当前 System.Object 的深表副本
        /// </summary>
        /// <returns>返回当前实例的深表副本,(如果当前实例中有引用对象,引用对象的地址还是指向原来的地址)</returns>
        public T_ST_CrowdPeriodsWinningView DeepClone()
        {
            using (System.IO.Stream objectStream = new System.IO.MemoryStream())
            {
                System.Runtime.Serialization.IFormatter formatter = new System.Runtime.Serialization.Formatters.Binary.BinaryFormatter();
                formatter.Serialize(objectStream, this);
                objectStream.Seek(0, System.IO.SeekOrigin.Begin);
                return formatter.Deserialize(objectStream) as T_ST_CrowdPeriodsWinningView;
            }
        }
        /// <summary>
        /// 创建当前 System.Object 的浅表副本
        /// </summary>
        /// <returns>返回当前实例的浅表副本,(如果当前实例中有引用对象,引用对象的地址还是指向原来的地址)</returns>
        public T_ST_CrowdPeriodsWinningView ShallowClone()
        {
            return Clone() as T_ST_CrowdPeriodsWinningView;
        }

        #endregion
        
        #region 实体相互转换        
        protected override T_ST_CrowdPeriodsWinningView CurrentEntity()
        {
            return this;
        }
        #endregion
    }
}

